<?
$stmp.="<span style=\"color:red\"><strong>Новости игры</strong></span><br/>";
$file = file("data/news.dat"); 
if (!$file) {$stmp.="Новостей нет!!!!";} else {
$total=count($file);
$file = array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){
$udata = explode("||",$file[$i]);
$stmp.="<strong>$udata[0]</strong>: <br/>$udata[1]/ $udata[2]<br/><strong>$udata[3]</strong><br>";
$stmp.="<a href=\"$PHP_SELF?sid=$sid&new3=kom&num=$udata[1]\">комментарии</a><br/>";
}
if ($start != 0) {$stmp.="<a href=\"$PHP_SELF?sid=$sid&new3=1&start=".($start - 5)."\">[назад]</a>";}
if ($total > $start + 5) {$stmp.=" <a href=\"$PHP_SELF?sid=$sid&new3=1&start=".($start + 5)."\">[далее]</a>";}
}
if ($new3=='kom'){
$read = file("data/komments/$num.dat"); 
if (!$read) { $reader = "Ваш комментарий будет первым!";} else {
$total=count($read);
$read = array_reverse($read);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($k = $start; $k < $end; $k++){
$tex = explode("||",$read[$k]);
$reader.="[$tex[0]]<br/><b>$tex[1]: </b>$tex[2]<br/>---<br/>";
}
if ($start != 0) {$reader.="<a href=\"$PHP_SELF?sid=$sid&new3=kom&&num=$num&start=".($start - 5)."\">[назад]</a>";}
if ($total > $start + 5) {$reader.=" <a href=\"$PHP_SELF?sid=$sid&new3=kom&num=$num&start=".($start + 5)."\">[далее]</a>";}
}
if ($login){
$zap=$num;
if ($player['style']=='0'){ 
$reader.="<br/><u>Комментарий</u>:<br/><input name=\"kom\" maxlength=\"100\"/>\n<br/>
<anchor>Добавить<go method=\"post\" href=\"$PHP_SELF?sid=$sid&new3=addkom\">
<postfield name=\"kom\" value=\"$(kom)\"/>
<postfield name=\"zap\" value=\"$(zap)\"/></go></anchor><br/>";
} else {
$reader.="<form action=\"$PHP_SELF?sid=$sid&new3=addkom&zap=$zap\" method=\"post\">Комментарий:<br/>
  <input name=\"kom\" class=\"inup\"/><br/><input type=\"submit\" value=\"Добавить\" class=\"btn\">";
  }
		}
msg($reader,"Комментарии!");
}
if ($new3=='addkom') {
if (!$kom) {msg("Пустое поле сообщения");}
if (ereg("[%<>'{}$#&]+",$kom)) msg("Присутствуют запрещенные символы!.");
if (strlen($kom)>100) msg("Слишком длинное сообщение.");

$name = $player['title'];
$dat = date("d.m.Y - H.i.s");
$text = "$dat||$name||$kom"; 
$fp = fopen("data/komments/$zap.dat", "a+");
fputs($fp, "$text\r\n");
fclose($fp);
msg ("Комментарий добавлен успешно!<br/><a href=\"$PHP_SELF?sid=$sid&new3=kom&num=$zap\">Комментарии</a> ");
}
msg($stmp,"Новости");
?>